Bug 1334429 - "pcs cluster stop --all" hangs (pcs/pcsd sends requests from VIP source address)
Summary: "pcs cluster stop --all" hangs (pcs/pcsd sends requests from VIP source address)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1292858
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-09 15:22 UTC by Chris Feist
Modified: 2017-08-01 18:22 UTC (History)
15 users (show)

Fixed In Version: pcs-0.9.157-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: User stops a cluster which is running Virtual IP resources. Consequence: Pcs hangs while stopping the cluster. Fix: Stop requests time out which prevents hang when a Virtual IP gets stopped. Pcs repeats the stop requests automatically in that case to ensure the cluster stops properly. Result: Pcs does not hang.
Clone Of: 1330688
Environment:
Last Closed: 2017-08-01 18:22:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed fix (7.37 KB, patch)
2017-02-28 13:34 UTC, Tomas Jelinek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Launchpad 1577570 None None None 2016-05-09 15:22:38 UTC
OpenStack gerrit 311860 None None None 2016-05-09 15:22:38 UTC
OpenStack gerrit 312454 None None None 2016-05-09 15:22:38 UTC
OpenStack gerrit 312455 None None None 2016-05-09 15:22:38 UTC
Red Hat Bugzilla 1445889 None None None Never
Red Hat Product Errata RHBA-2017:1958 normal SHIPPED_LIVE pcs bug fix and enhancement update 2017-08-01 18:09:47 UTC

Internal Links: 1445889

Comment 6 Tomas Jelinek 2017-02-28 13:34:55 UTC
Created attachment 1258387 [details]
proposed fix

Comment 16 errata-xmlrpc 2017-08-01 18:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1958


Note You need to log in before you can comment on or make changes to this bug.